
Redmine - Defect #14881

Issue journals should be ordered by created_on, not id

2013-09-11 14:18 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed Affected version:  

Description

r10547 changes the ordering of journals in IssuesController#show from created_on ASC do id ASC, is there a specific reason for

this? Ordering by ID is probably right in most cases, we have a Jira import where this is not the case.

Related issues:

Has duplicate Redmine - Defect #17852: Issue journals should be ordered by cr... Closed

Has duplicate Redmine - Patch #18440: Journals could be ordered using the cre... Closed

Associated revisions

Revision 14374 - 2015-06-27 09:11 - Jean-Philippe Lang

Sort journals by created_on then id (#14881).

History

#1 - 2013-09-12 00:07 - Jean-Philippe Lang

This was changed because journals may have the same created_on value. We could use created_on ASC, id ASC instead to fix your issue but

importing journals in chronological order would have been a better option :/

#2 - 2013-09-12 10:36 - Felix Schäfer

Ah, because of the split public changes/private notes journals? I understand.

created_on ASC, id ASC would work, thanks!

#3 - 2013-09-23 08:54 - Toshi MARUYAMA

- Category set to Issues

#4 - 2014-12-01 23:08 - Go MAEDA

- Has duplicate Defect #17852: Issue journals should be ordered by created_on, not id added

#5 - 2014-12-01 23:10 - Go MAEDA

- Related to Patch #18440: Journals could be ordered using the create_on attribute instead of the id added

#6 - 2014-12-01 23:16 - Go MAEDA

- Related to deleted (Patch #18440: Journals could be ordered using the create_on attribute instead of the id)

#7 - 2014-12-01 23:16 - Go MAEDA

- Has duplicate Patch #18440: Journals could be ordered using the create_on attribute instead of the id added

#8 - 2015-06-08 14:56 - Toshi MARUYAMA

#61 note order is strange.

#61#note-5 is oldest.

#61#note-5 -> #61#note-4 -> #61#note-3 -> #61#note-2 -> #61#note-1 ->

#61#note-6 -> #61#note-7 ...

#9 - 2015-06-27 09:12 - Jean-Philippe Lang

- Subject changed from Issue comments in wrong order to Issue journals should be ordered by created_on, not id
https://www.redmine.org/projects/redmine/repository/svn/revisions/10547
https://www.redmine.org/issues/61
https://www.redmine.org/issues/61#note-5
https://www.redmine.org/issues/61#note-5
https://www.redmine.org/issues/61#note-4
https://www.redmine.org/issues/61#note-3
https://www.redmine.org/issues/61#note-2
https://www.redmine.org/issues/61#note-1
https://www.redmine.org/issues/61#note-6
https://www.redmine.org/issues/61#note-7


- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.0

- Resolution set to Fixed
